{
  "schema_version": "1.4.0",
  "id": "GHSA-855f-qr67-w6rp",
  "modified": "2022-05-24T17:00:17Z",
  "published": "2022-05-24T17:00:17Z",
  "aliases": [
    "CVE-2017-5333"
  ],
  "details": "Integer overflow in the extract_group_icon_cursor_resource function in b/wrestool/extract.c in icoutils before 0.31.1 allows local users to cause a denial of service (process crash) or execute arbitrary code via a crafted executable file.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-5333"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1412259"
    },
    {
      "type": "WEB",
      "url": "https://git.savannah.gnu.org/cgit/icoutils.git/commit/?id=1a108713ac26215c7568353f6e02e727e6d4b24a"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2017-01/msg00024.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2017-01/msg00025.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2017-01/msg00026.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2017-0837.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2017/dsa-3765"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2017/01/11/3"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/95678"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-3178-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2019-11-04T21:15:00Z"
  }
}